v2.0

post

/ec-site-svc/rest/v2/studies/{studyId}/{mode}/country/{sdfId}

Compared with v1 create, this version creates both country and state associations for an SDF.

Request

Path Parameters
  • Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).
    Example:
    test
  • SDF identifier as a 32-character uppercase hexadecimal UUID string.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
  • Study identifier as a 32-character uppercase hexadecimal UUID string.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
Request Body - application/json ()
Root Schema : SDFCountriesAndStatesRequest v1.0
Type: object
Title: SDFCountriesAndStatesRequest v1.0
Payload containing SDF associations that include states.
Show Source
Nested Schema : sdfCountriesAndStatesList
Type: array
Show Source
Example:
[
    {
        "countryId":"B1B8327AFAA6412287106192AB5984EF",
        "stateId":"B1B8327AFAA6412287106192AB5984EF",
        "sdfId":"B1B8327AFAA6412287106192AB5984EF"
    }
]
Nested Schema : sdfCountriesAnStatesList
Type: array
Show Source
Example:
[
    {
        "countryId":"B1B8327AFAA6412287106192AB5984EF",
        "stateId":"B1B8327AFAA6412287106192AB5984EF",
        "sdfId":"B1B8327AFAA6412287106192AB5984EF"
    }
]
Nested Schema : SDFCountryAndStateDto v1.0
Type: object
Title: SDFCountryAndStateDto v1.0
SDF-country association extended with an optional state.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Country ID
    Unique identifier of the country linked to the SDF (UUID, 32-character uppercase hexadecimal string).
  • Title: SDF Country ID
    Unique identifier for the SDF-country association (UUID, 32-character uppercase hexadecimal string).
  • Title: Primary Supply
    Minimum Length: 0
    Maximum Length: 10
    Primary supply type for the SDF-country association.
    Example: PRIMARY
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • Title: SDF ID
    Unique SDF identifier (UUID, 32-character uppercase hexadecimal string).
  • Title: State ID
    Optional state identifier linked to the SDF association.
  • Title: Version Start
    Timestamp when this association version was created.
    Example: 2025-03-16T12:00:00Z
Example:
[
    {
        "countryId":"B1B8327AFAA6412287106192AB5984EF",
        "stateId":"B1B8327AFAA6412287106192AB5984EF",
        "sdfId":"B1B8327AFAA6412287106192AB5984EF"
    }
]
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : SDFCountriesAndStatesResponse v1.0
Type: object
Title: SDFCountriesAndStatesResponse v1.0
Response containing SDF country/state associations.
Show Source
Nested Schema : CountryDto v1.0
Type: object
Title: CountryDto v1.0
Country details returned by the SDF APIs.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Country ID
    Unique country identifier (UUID, 32-character uppercase hexadecimal string).
  • Title: ISO Code
    Minimum Length: 1
    Maximum Length: 10
    Alpha-2 ISO code identifying the country.
    Example: US
  • Title: Country Name
    Minimum Length: 1
    Maximum Length: 100
    Official country name.
    Example: United States
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • Title: Version Start
    Timestamp when this country version was created.
    Example: 2025-03-16T12:00:00Z
Example:
[
    {
        "id":"A0E1B2C3D4E5F67890123456789ABCDE",
        "versionStart":"2025-03-16T12:00:00.000Z",
        "isoCode":"US",
        "name":"United States"
    }
]
Nested Schema : SDFCountryAndStateDto v1.0
Type: object
Title: SDFCountryAndStateDto v1.0
SDF-country association extended with an optional state.
Show Source
  • Title: Comment
    Minimum Length: 0
    Maximum Length: 2048
    Additional comment captured for the audited update.
    Example: Association adjusted after data reconciliation.
  • Title: Country ID
    Unique identifier of the country linked to the SDF (UUID, 32-character uppercase hexadecimal string).
  • Title: SDF Country ID
    Unique identifier for the SDF-country association (UUID, 32-character uppercase hexadecimal string).
  • Title: Primary Supply
    Minimum Length: 0
    Maximum Length: 10
    Primary supply type for the SDF-country association.
    Example: PRIMARY
  • Title: Reason
    Minimum Length: 0
    Maximum Length: 255
    Reason provided for the audited update.
    Example: Protocol update requested by study operations.
  • Title: SDF ID
    Unique SDF identifier (UUID, 32-character uppercase hexadecimal string).
  • Title: State ID
    Optional state identifier linked to the SDF association.
  • Title: Version Start
    Timestamp when this association version was created.
    Example: 2025-03-16T12:00:00Z
Example:
[
    {
        "id":"3F2504E04F8911D39A0C0305E82C3301",
        "versionStart":"2025-03-16T12:00:00.000Z",
        "countryId":"A0E1B2C3D4E5F67890123456789ABCDE",
        "stateId":"9F2504E04F8911D39A0C0305E82C3301",
        "sdfId":"9C10C9F402C44BD6A7CFC7F4F1A6EED8",
        "primarySupply":"PRIMARY"
    }
]
Examples

400 Response

Returned when one or more path/query parameters are invalid or the request body fails validation.
Body ()
Root Schema : SDFResponse
Type: object
Title: SDFResponse
Wrapper for service responses containing result or error data.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
The result object for successful requests. Type depends on the API operation.
Example:
{
    "hasMore":"true",
    "totalResults":5,
    "count":5,
    "data":[
    ]
}
Nested Schema : details
Type: object
Examples

Back to Top